# $Revision: 1.19 $, $Date: 2008-02-10 11:59:28 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working /dev/dsp)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	DSP
Summary:	Audio::DSP Perl module - interface to *NIX digital audio device
Summary(pl.UTF-8):	Moduł Perla Audio::DSP - interfejs do uniksowego cyfrowego urządzenia cyfrowego dźwiękowego
Name:		perl-Audio-DSP
Version:	0.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7c3027a732d14665d4ffec0aff4b548e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio::DSP is built around the OSS (Open Sound System) API and allows
Perl to interface with a digital audio device. The Audio::DSP object
stores I/O parameters and also supplies temporary storage for raw
audio data.

%description -l pl.UTF-8
Moduł Audio::DSP jest oparty na API systemu OSS (Open Sound System) i
pozwala Perlowi na dostęp do urządzenia cyfrowego dźwięku. Obiekt
Audio::DSP przechowuje parametry wejścia/wyjścia oraz tymczasowo
surowe dane dźwiękowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Audio/DSP.pm
%dir %{perl_vendorarch}/auto/Audio/DSP
%{perl_vendorarch}/auto/Audio/DSP/autosplit.ix
%{perl_vendorarch}/auto/Audio/DSP/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/DSP/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-DSP.spec,v $
Revision 1.19  2008-02-10 11:59:28  arekm
- rel 4

Revision 1.18  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.17  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 20:27:39  paladine
- formatting

Revision 1.14  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.12  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.11  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.10  2004/04/17 05:46:24  ankry
- license fixes

Revision 1.9  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.8  2004/03/09 20:23:49  adamg
- new style bconds

Revision 1.7  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:35:50  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:26:19  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/04 15:52:38  qboosh
- new

